Bug 137261 - [PATCH] mail/dovecot: update to 1.2.2.
Summary: [PATCH] mail/dovecot: update to 1.2.2.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-30 13:20 UTC by Yasuhiro Kimura
Modified: 2009-08-15 14:30 UTC (History)
0 users

See Also:


Attachments
patch-dovecot (13.06 KB, text/plain)
2009-07-30 13:20 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2009-07-30 13:20:06 UTC
	- Update to 1.2.2.
Comment 1 Edwin Groothuis freebsd_committer 2009-07-30 13:20:18 UTC
Maintainer of mail/dovecot,

Please note that PR ports/137261 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/137261

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-07-30 13:20:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2009-07-30 17:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Yasuhiro Kimura 2009-08-08 05:01:11 UTC
----Next_Part(Sat_Aug__8_13_01_11_2009_289)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Newer version 1.2.3 is released.
Please commit attached patch instead of original one.

Regards.

----Next_Part(Sat_Aug__8_13_01_11_2009_289)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename=patch-dovecot

Index: Makefile
===================================================================
RCS file: /usr1/freebsd/cvsroot/ports/mail/dovecot/Makefile,v
retrieving revision 1.104
diff -u -r1.104 Makefile
--- Makefile	3 Jul 2009 14:29:55 -0000	1.104
+++ Makefile	8 Aug 2009 03:33:59 -0000
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	dovecot
-PORTVERSION=	1.1.16
+PORTVERSION=	1.2.3
 CATEGORIES=	mail ipv6
-MASTER_SITES=	http://www.dovecot.org/releases/1.1/
+MASTER_SITES=	http://www.dovecot.org/releases/1.2/
 
 MAINTAINER=	yds@CoolRat.org
 COMMENT=	Secure and compact IMAP and POP3 servers
@@ -219,6 +219,7 @@
 .endif
 	@${LN} -f ${WRKSRC}/dovecot-example.conf		${WRKSRC}/dovecot.conf
 	@${LN} -f ${WRKSRC}/doc/dovecot-db-example.conf		${WRKSRC}/doc/dovecot-db.conf
+	@${LN} -f ${WRKSRC}/doc/dovecot-dict-sql-example.conf	${WRKSRC}/doc/dovecot-dict-sql.conf
 	@${LN} -f ${WRKSRC}/doc/dovecot-ldap-example.conf	${WRKSRC}/doc/dovecot-ldap.conf
 	@${LN} -f ${WRKSRC}/doc/dovecot-sql-example.conf	${WRKSRC}/doc/dovecot-sql.conf
 
@@ -228,6 +229,7 @@
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/dovecot.conf ${EXAMPLESDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-db.conf ${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-dict-sql.conf ${EXAMPLESDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-ldap.conf ${EXAMPLESDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-sql.conf ${EXAMPLESDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-openssl.cnf ${EXAMPLESDIR}
Index: distinfo
===================================================================
RCS file: /usr1/freebsd/cvsroot/ports/mail/dovecot/distinfo,v
retrieving revision 1.69
diff -u -r1.69 distinfo
--- distinfo	3 Jun 2009 15:39:13 -0000	1.69
+++ distinfo	8 Aug 2009 03:35:48 -0000
@@ -1,6 +1,3 @@
-MD5 (dovecot-1.1.16.tar.gz) = 2e20c761416b16aa0fe9cac260ca0d2d
-SHA256 (dovecot-1.1.16.tar.gz) = 1204c3d008eade19cb0211039c4a0fb16d089326e0aa9102880090f23f320fc3
-SIZE (dovecot-1.1.16.tar.gz) = 2383947
-MD5 (dovecot-1.1.16-managesieve-0.10.6.diff.gz) = 6379049defcc4e3a665c2992f479c5d2
-SHA256 (dovecot-1.1.16-managesieve-0.10.6.diff.gz) = 0d71af4a23be6aa6388d6bb645a5055b6838204784da7daa75c0e95819119ae8
-SIZE (dovecot-1.1.16-managesieve-0.10.6.diff.gz) = 6172
+MD5 (dovecot-1.2.3.tar.gz) = 28905211d9301022a1ed20df71ad2b08
+SHA256 (dovecot-1.2.3.tar.gz) = 8507c3321a2ad1deb0f8485086647857419fa034d7d30f2e5aef7fabd90c9406
+SIZE (dovecot-1.2.3.tar.gz) = 2652036
Index: pkg-plist
===================================================================
RCS file: /usr1/freebsd/cvsroot/ports/mail/dovecot/pkg-plist,v
retrieving revision 1.29
diff -u -r1.29 pkg-plist
--- pkg-plist	8 Sep 2008 06:42:27 -0000	1.29
+++ pkg-plist	30 Jul 2009 06:03:34 -0000
@@ -1,36 +1,48 @@
 @comment $FreeBSD: ports/mail/dovecot/pkg-plist,v 1.29 2008/09/08 06:42:27 beech Exp $
 @dirrmtry include/dovecot
 lib/dovecot/imap/lib01_acl_plugin.so
+lib/dovecot/imap/lib02_imap_acl_plugin.so
+lib/dovecot/imap/lib02_imap_acl_plugin.la
+lib/dovecot/imap/lib02_imap_acl_plugin.a
 lib/dovecot/imap/lib02_lazy_expunge_plugin.so
 lib/dovecot/imap/lib10_quota_plugin.so
 lib/dovecot/imap/lib11_imap_quota_plugin.a
 lib/dovecot/imap/lib11_imap_quota_plugin.la
 lib/dovecot/imap/lib11_imap_quota_plugin.so
 lib/dovecot/imap/lib11_trash_plugin.so
+lib/dovecot/imap/lib20_autocreate_plugin.so
 lib/dovecot/imap/lib20_convert_plugin.so
 lib/dovecot/imap/lib20_expire_plugin.so
 lib/dovecot/imap/lib20_fts_plugin.so
+lib/dovecot/imap/lib20_listescape_plugin.so
 lib/dovecot/imap/lib20_mail_log_plugin.so
 lib/dovecot/imap/lib20_mbox_snarf_plugin.so
+lib/dovecot/imap/lib20_virtual_plugin.so
 lib/dovecot/imap/lib20_zlib_plugin.so
 lib/dovecot/imap/lib21_fts_squat_plugin.so
 @dirrm lib/dovecot/imap
 lib/dovecot/lda/lib01_acl_plugin.so
 lib/dovecot/lda/lib10_quota_plugin.so
 lib/dovecot/lda/lib11_trash_plugin.so
+lib/dovecot/lda/lib20_autocreate_plugin.so
 lib/dovecot/lda/lib20_convert_plugin.so
 lib/dovecot/lda/lib20_expire_plugin.so
 lib/dovecot/lda/lib20_fts_plugin.so
+lib/dovecot/lda/lib20_listescape_plugin.so
 lib/dovecot/lda/lib20_mail_log_plugin.so
+lib/dovecot/lda/lib20_virtual_plugin.so
 lib/dovecot/lda/lib21_fts_squat_plugin.so
 @dirrmtry lib/dovecot/lda
+lib/dovecot/pop3/lib20_autocreate_plugin.so
 lib/dovecot/pop3/lib02_lazy_expunge_plugin.so
 lib/dovecot/pop3/lib10_quota_plugin.so
 lib/dovecot/pop3/lib20_convert_plugin.so
 lib/dovecot/pop3/lib20_expire_plugin.so
 lib/dovecot/pop3/lib20_fts_plugin.so
+lib/dovecot/pop3/lib20_listescape_plugin.so
 lib/dovecot/pop3/lib20_mail_log_plugin.so
 lib/dovecot/pop3/lib20_mbox_snarf_plugin.so
+lib/dovecot/pop3/lib20_virtual_plugin.so
 lib/dovecot/pop3/lib20_zlib_plugin.so
 lib/dovecot/pop3/lib21_fts_squat_plugin.so
 @dirrm lib/dovecot/pop3
@@ -48,6 +60,9 @@
 lib/dovecot/lib11_trash_plugin.a
 lib/dovecot/lib11_trash_plugin.la
 lib/dovecot/lib11_trash_plugin.so
+lib/dovecot/lib20_autocreate_plugin.so
+lib/dovecot/lib20_autocreate_plugin.la
+lib/dovecot/lib20_autocreate_plugin.a
 lib/dovecot/lib20_convert_plugin.a
 lib/dovecot/lib20_convert_plugin.la
 lib/dovecot/lib20_convert_plugin.so
@@ -57,12 +72,18 @@
 lib/dovecot/lib20_fts_plugin.a
 lib/dovecot/lib20_fts_plugin.la
 lib/dovecot/lib20_fts_plugin.so
+lib/dovecot/lib20_listescape_plugin.so
+lib/dovecot/lib20_listescape_plugin.la
+lib/dovecot/lib20_listescape_plugin.a
 lib/dovecot/lib20_mail_log_plugin.a
 lib/dovecot/lib20_mail_log_plugin.la
 lib/dovecot/lib20_mail_log_plugin.so
 lib/dovecot/lib20_mbox_snarf_plugin.a
 lib/dovecot/lib20_mbox_snarf_plugin.la
 lib/dovecot/lib20_mbox_snarf_plugin.so
+lib/dovecot/lib20_virtual_plugin.so
+lib/dovecot/lib20_virtual_plugin.la
+lib/dovecot/lib20_virtual_plugin.a
 lib/dovecot/lib20_zlib_plugin.so
 lib/dovecot/lib20_zlib_plugin.a
 lib/dovecot/lib20_zlib_plugin.la
@@ -80,6 +101,7 @@
 libexec/dovecot/idxview
 libexec/dovecot/imap
 libexec/dovecot/imap-login
+libexec/dovecot/imap-utf7
 libexec/dovecot/listview
 libexec/dovecot/logview
 libexec/dovecot/maildirlock
@@ -87,6 +109,7 @@
 %%POP3%%libexec/dovecot/pop3-login
 libexec/dovecot/rawlog
 libexec/dovecot/ssl-build-param
+libexec/dovecot/threadview
 @dirrmtry libexec/dovecot
 sbin/dovecot
 sbin/dovecotpw
@@ -96,6 +119,9 @@
 %%BDB%%@unexec if cmp -s %D/%%EXAMPLESDIR%%/dovecot-db.conf %D/etc/dovecot-db.conf; then rm -f %D/etc/dovecot-db.conf; fi
 %%EXAMPLESDIR%%/dovecot-db.conf
 %%BDB%%@exec if [ ! -f %D/etc/dovecot-db.conf ]; then cp -p %D/%%EXAMPLESDIR%%/dovecot-db.conf %D/etc/dovecot-db.conf; fi
+%%SQL%%@unexec if cmp -s %D/%%EXAMPLESDIR%%/dovecot-dict-sql.conf %D/etc/dovecot-dict-sql.conf; then rm -f %D/etc/dovecot-dict-sql.conf; fi
+%%EXAMPLESDIR%%/dovecot-dict-sql.conf
+%%SQL%%@exec if [ ! -f %D/etc/dovecot-dict-sql.conf ]; then cp -p %D/%%EXAMPLESDIR%%/dovecot-dict-sql.conf %D/etc/dovecot-dict-sql.conf; fi
 %%LDAP%%@unexec if cmp -s %D/%%EXAMPLESDIR%%/dovecot-ldap.conf %D/etc/dovecot-ldap.conf; then rm -f %D/etc/dovecot-ldap.conf; fi
 %%EXAMPLESDIR%%/dovecot-ldap.conf
 %%LDAP%%@exec if [ ! -f %D/etc/dovecot-ldap.conf ]; then cp -p %D/%%EXAMPLESDIR%%/dovecot-ldap.conf %D/etc/dovecot-ldap.conf; fi
Index: files/patch-dovecot-example.conf
===================================================================
RCS file: /usr1/freebsd/cvsroot/ports/mail/dovecot/files/patch-dovecot-example.conf,v
retrieving revision 1.34
diff -u -r1.34 patch-dovecot-example.conf
--- files/patch-dovecot-example.conf	22 May 2009 21:48:10 -0000	1.34
+++ files/patch-dovecot-example.conf	30 Jul 2009 04:25:57 -0000
@@ -1,5 +1,5 @@
---- dovecot-example.conf.orig	2009-05-13 12:41:46.000000000 -0400
-+++ dovecot-example.conf	2009-05-13 12:41:46.000000000 -0400
+--- dovecot-example.conf.orig	2009-07-27 09:57:30.000000000 +0900
++++ dovecot-example.conf	2009-07-30 13:21:50.000000000 +0900
 @@ -21,7 +21,7 @@
  
  # Protocols we want to be serving: imap imaps pop3 pop3s
@@ -18,7 +18,7 @@
  
  # Should all IMAP and POP3 processes be killed when Dovecot master process
  # shuts down. Setting this to "no" means that Dovecot can be upgraded without
-@@ -215,7 +215,7 @@
+@@ -221,7 +221,7 @@
  #
  # <doc/wiki/MailLocation.txt>
  #
@@ -27,7 +27,7 @@
  
  # If you need to set multiple mailbox locations or want to change default
  # namespace settings, you can do it by defining namespace sections.
-@@ -273,7 +273,7 @@
+@@ -302,7 +302,7 @@
  # Group to enable temporarily for privileged operations. Currently this is
  # used only with INBOX when either its initial creation or dotlocking fails.
  # Typically this is set to "mail" to give access to /var/mail.
@@ -36,7 +36,7 @@
  
  # Grant access to these supplementary groups for mail processes. Typically
  # these are used to set up access to shared mailboxes. Note that it may be
-@@ -312,7 +312,7 @@
+@@ -341,7 +341,7 @@
  
  # Rely on O_EXCL to work when creating dotlock files. NFS supports O_EXCL
  # since version 3, so this should be safe to use nowadays by default.
@@ -45,7 +45,7 @@
  
  # Don't use fsync() or fdatasync() calls. This makes the performance better
  # at the cost of potential data loss if the server (or the file server)
-@@ -340,20 +340,20 @@
+@@ -369,20 +369,20 @@
  # Show more verbose process titles (in ps). Currently shows user name and
  # IP address. Useful for seeing who are actually using the IMAP processes
  # (eg. shared mailboxes or if same uid is used for multiple accounts).
@@ -69,7 +69,7 @@
  #last_valid_gid = 0
  
  # Maximum number of running mail processes. When this limit is reached,
-@@ -420,7 +420,7 @@
+@@ -449,7 +449,7 @@
  
  # When copying a message, do it with hard links whenever possible. This makes
  # the performance much better, and it's unlikely to have any side effects.
@@ -78,16 +78,7 @@
  
  # When copying a message, try to preserve the base filename. Only if the
  # destination mailbox already contains the same name (ie. the mail is being
-@@ -535,7 +535,7 @@
-   # Send IMAP capabilities in greeting message. This makes it unnecessary for
-   # clients to request it with CAPABILITY command, so it saves one round-trip.
-   # Many clients however don't understand it and ask the CAPABILITY anyway.
--  #login_greeting_capability = no
-+  login_greeting_capability = yes
- 
-   # IMAP logout format string:
-   #  %i - total number of bytes read from client
-@@ -564,7 +564,7 @@
+@@ -605,7 +605,7 @@
    #     but not both. Thunderbird separates these two by forcing server to
    #     accept '/' suffix in mailbox names in subscriptions list.
    # The list is space-separated.
@@ -96,7 +87,7 @@
  }
    
  ##
-@@ -616,7 +616,7 @@
+@@ -657,7 +657,7 @@
    # Dovecot's default, so if you're building a new server it would be a good
    # idea to change this. %08Xu%08Xv should be pretty fail-safe.
    #
@@ -105,7 +96,7 @@
  
    # POP3 logout format string:
    #  %i - total number of bytes read from client
-@@ -647,7 +647,7 @@
+@@ -688,7 +688,7 @@
    #     Outlook Express and Netscape Mail breaks if end of headers-line is
    #     missing. This option simply sends it if it's missing.
    # The list is space-separated.
@@ -114,7 +105,7 @@
  }
  
  ##
-@@ -742,7 +742,7 @@
+@@ -784,7 +784,7 @@
  # the standard variables here, eg. %Lu would lowercase the username, %n would
  # drop away the domain if it was given, or "%n-AT-%d" would change the '@' into
  # "-AT-". This translation is done after auth_username_translation changes.
@@ -123,7 +114,7 @@
  
  # If you want to allow master users to log in by specifying the master
  # username within the normal username string (ie. not using SASL mechanism's
-@@ -798,7 +798,7 @@
+@@ -835,7 +835,7 @@
    #   plain login digest-md5 cram-md5 ntlm rpa apop anonymous gssapi otp skey
    #   gss-spnego
    # NOTE: See also disable_plaintext_auth setting.
@@ -132,7 +123,7 @@
  
    #
    # Password database is used to verify user's password (and nothing more).
-@@ -860,6 +860,7 @@
+@@ -901,6 +901,7 @@
      #   args = session=yes %Ls
      #   args = cache_key=%u dovecot
      #args = dovecot
@@ -140,7 +131,7 @@
    }
  
    # System users (NSS, /etc/passwd, or similiar)
-@@ -903,14 +904,16 @@
+@@ -944,14 +945,16 @@
  
    # SQL database <doc/wiki/AuthDatabase.SQL.txt>
    #passdb sql {
@@ -161,7 +152,7 @@
    #}
  
    # vpopmail authentication <doc/wiki/AuthDatabase.VPopMail.txt>
-@@ -945,7 +948,7 @@
+@@ -986,7 +989,7 @@
      # proceses. Useful with remote NSS lookups that may block.
      # NOTE: Be sure to use this setting with nss_ldap or users might get
      # logged in as each others!
@@ -170,7 +161,7 @@
    }
  
    # passwd-like file with specified location
-@@ -974,14 +977,16 @@
+@@ -1022,14 +1025,16 @@
  
    # SQL database <doc/wiki/AuthDatabase.SQL.txt>
    #userdb sql {
@@ -191,7 +182,7 @@
    #}
  
    # vpopmail <doc/wiki/AuthDatabase.VPopMail.txt>
-@@ -1013,25 +1018,25 @@
+@@ -1061,25 +1066,25 @@
    #ssl_username_from_cert = no
  
    # It's possible to export the authentication interface to other programs:
@@ -227,7 +218,7 @@
  }
  
  # If you wish to use another authentication server than dovecot-auth, you can
-@@ -1059,11 +1064,12 @@
+@@ -1107,11 +1112,12 @@
  
  dict {
    #quota = mysql:/etc/dovecot-dict-quota.conf 
@@ -243,7 +234,7 @@
  
  ##
  ## Plugin settings
-@@ -1100,8 +1106,8 @@
+@@ -1148,8 +1154,8 @@
    # Each quota root has separate limits. Only the command for the first
    # exceeded limit is excecuted, so put the highest limit first.
    # Note that % needs to be escaped as %%, otherwise "% " expands to empty.

----Next_Part(Sat_Aug__8_13_01_11_2009_289)----
Comment 5 dfilter service freebsd_committer 2009-08-14 22:30:51 UTC
wxs         2009-08-14 21:30:42 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile distinfo pkg-plist 
    mail/dovecot/files   patch-dovecot-example.conf 
  Log:
  - Update to 1.2.3
  
  PR:             ports/137261
  Submitted by:   Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.105     +4 -2      ports/mail/dovecot/Makefile
  1.70      +3 -6      ports/mail/dovecot/distinfo
  1.35      +19 -28    ports/mail/dovecot/files/patch-dovecot-example.conf
  1.30      +27 -1     ports/mail/dovecot/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wesley Shields freebsd_committer 2009-08-14 22:36:59 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 Jesco Freund 2009-08-15 10:08:28 UTC
Hi,

the committed changes break Dovecot's managesieve support since
mail/dovecot-managesieve has not been adapted to fit with
Dovecot-1.2.x. As the dovecot Makefile itself refers to
mail/dovecot-managesieve, Dovecot can currently not be installed with
managesieve support; so I'd suggest to either fix
mail/dovecot-managesieve to a 1.2 compatibel version (e. g. 0.11.8) or
to disable the WITH_MANAGESIEVE option for the mail/dovecot port.

Regards,
Jesco
Comment 8 Wesley Shields freebsd_committer 2009-08-15 14:22:22 UTC
On Sat, Aug 15, 2009 at 09:50:05AM +0000, Jesco Freund wrote:
>  the committed changes break Dovecot's managesieve support since
>  mail/dovecot-managesieve has not been adapted to fit with
>  Dovecot-1.2.x. As the dovecot Makefile itself refers to
>  mail/dovecot-managesieve, Dovecot can currently not be installed with
>  managesieve support; so I'd suggest to either fix
>  mail/dovecot-managesieve to a 1.2 compatibel version (e. g. 0.11.8) or
>  to disable the WITH_MANAGESIEVE option for the mail/dovecot port.

I've marked that option as BROKEN. I would suggest contacting the
maintainer of mail/dovecot-managesieve to see if the port can be
updated.

-- WXS